// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: transport-order/model/search-specification.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type SearchSpecification struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Vin          string               `protobuf:"bytes,1,opt,name=vin,proto3" json:"vin,omitempty"`
	LoadingDate  *common.SearchPeriod `protobuf:"bytes,2,opt,name=loadingDate,proto3" json:"loadingDate,omitempty"`
	DeliveryDate *common.SearchPeriod `protobuf:"bytes,3,opt,name=deliveryDate,proto3" json:"deliveryDate,omitempty"`
	Status       []EnumStatus         `protobuf:"varint,4,rep,packed,name=status,proto3,enum=transportOrder.EnumStatus" json:"status,omitempty"`
}

func (x *SearchSpecification) Reset() {
	*x = SearchSpecification{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_model_search_specification_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchSpecification) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchSpecification) ProtoMessage() {}

func (x *SearchSpecification) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_model_search_specification_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchSpecification.ProtoReflect.Descriptor instead.
func (*SearchSpecification) Descriptor() ([]byte, []int) {
	return file_transport_order_model_search_specification_proto_rawDescGZIP(), []int{0}
}

func (x *SearchSpecification) GetVin() string {
	if x != nil {
		return x.Vin
	}
	return ""
}

func (x *SearchSpecification) GetLoadingDate() *common.SearchPeriod {
	if x != nil {
		return x.LoadingDate
	}
	return nil
}

func (x *SearchSpecification) GetDeliveryDate() *common.SearchPeriod {
	if x != nil {
		return x.DeliveryDate
	}
	return nil
}

func (x *SearchSpecification) GetStatus() []EnumStatus {
	if x != nil {
		return x.Status
	}
	return nil
}

var File_transport_order_model_search_specification_proto protoreflect.FileDescriptor

var file_transport_order_model_search_specification_proto_rawDesc = []byte{
	0x0a, 0x30, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2d, 0x73,
	0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x1a, 0x1a, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x73, 0x65, 0x61, 0x72, 0x63,
	0x68, 0x2d, 0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x22,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f,
	0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0xcd, 0x01, 0x0a, 0x13, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x53, 0x70, 0x65,
	0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x10, 0x0a, 0x03, 0x76, 0x69,
	0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x76, 0x69, 0x6e, 0x12, 0x36, 0x0a, 0x0b,
	0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x44, 0x61, 0x74, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x14, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63,
	0x68, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x52, 0x0b, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67,
	0x44, 0x61, 0x74, 0x65, 0x12, 0x38, 0x0a, 0x0c, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79,
	0x44, 0x61, 0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64,
	0x52, 0x0c, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x44, 0x61, 0x74, 0x65, 0x12, 0x32,
	0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x1a,
	0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x45, 0x6e, 0x75, 0x6d, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x42, 0xad, 0x01, 0x0a, 0x25, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c,
	0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x42, 0x07, 0x43, 0x6f,
	0x6d, 0x70, 0x61, 0x6e, 0x79, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73,
	0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x74, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x1e, 0x53, 0x75, 0x70, 0x70,
	0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0xca, 0x02, 0x15, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_transport_order_model_search_specification_proto_rawDescOnce sync.Once
	file_transport_order_model_search_specification_proto_rawDescData = file_transport_order_model_search_specification_proto_rawDesc
)

func file_transport_order_model_search_specification_proto_rawDescGZIP() []byte {
	file_transport_order_model_search_specification_proto_rawDescOnce.Do(func() {
		file_transport_order_model_search_specification_proto_rawDescData = protoimpl.X.CompressGZIP(file_transport_order_model_search_specification_proto_rawDescData)
	})
	return file_transport_order_model_search_specification_proto_rawDescData
}

var file_transport_order_model_search_specification_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_transport_order_model_search_specification_proto_goTypes = []interface{}{
	(*SearchSpecification)(nil), // 0: transportOrder.SearchSpecification
	(*common.SearchPeriod)(nil), // 1: common.SearchPeriod
	(EnumStatus)(0),             // 2: transportOrder.EnumStatus
}
var file_transport_order_model_search_specification_proto_depIdxs = []int32{
	1, // 0: transportOrder.SearchSpecification.loadingDate:type_name -> common.SearchPeriod
	1, // 1: transportOrder.SearchSpecification.deliveryDate:type_name -> common.SearchPeriod
	2, // 2: transportOrder.SearchSpecification.status:type_name -> transportOrder.EnumStatus
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_transport_order_model_search_specification_proto_init() }
func file_transport_order_model_search_specification_proto_init() {
	if File_transport_order_model_search_specification_proto != nil {
		return
	}
	file_transport_order_model_status_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_transport_order_model_search_specification_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchSpecification); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transport_order_model_search_specification_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_transport_order_model_search_specification_proto_goTypes,
		DependencyIndexes: file_transport_order_model_search_specification_proto_depIdxs,
		MessageInfos:      file_transport_order_model_search_specification_proto_msgTypes,
	}.Build()
	File_transport_order_model_search_specification_proto = out.File
	file_transport_order_model_search_specification_proto_rawDesc = nil
	file_transport_order_model_search_specification_proto_goTypes = nil
	file_transport_order_model_search_specification_proto_depIdxs = nil
}
